https://checkout-test.adyen.com/v71/paymentLinks/{linkId}Updates the status of a payment link. Use this endpoint to force the expiry of a payment link.
Unique identifier of the payment link.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PATCH \2 --url 'https://checkout-test.adyen.com/v71/paymentLinks/{linkId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://checkout-test.adyen.com/v71/paymentLinks/{linkId}Updates the status of a payment link. Use this endpoint to force the expiry of a payment link.
Unique identifier of the payment link.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PATCH \2 --url 'https://checkout-test.adyen.com/v71/paymentLinks/{linkId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}